Bug 1414615 - kernel-debuginfo package file conflict [NEEDINFO]
Summary: kernel-debuginfo package file conflict
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 02:32 UTC by Przemek Klosowski
Modified: 2019-01-09 12:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:07:29 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)
Error message from update listing the file conflicts (6.47 KB, text/plain)
2017-01-19 02:32 UTC, Przemek Klosowski
no flags Details
Error message from update listing the file conflicts 4.9.{3,5}-200 (6.47 KB, text/plain)
2017-01-27 00:26 UTC, Przemek Klosowski
no flags Details

Description Przemek Klosowski 2017-01-19 02:32:05 UTC
Created attachment 1242324 [details]
Error message from update listing the file conflicts

Description of problem:
upgrade of kernel debuginfo blocks the update, because of file conflicts between the newest package and the previous one (see attachment).

Version-Release number of selected component (if applicable):
 kernel    x86_64     4.9.3-200.fc25  

How reproducible: every time

Steps to Reproduce:
1. dnf update (with debuginfo-install autoupdate turned on)

Actual results: update blocked due to file conflicts in kernel-debuginfo

Expected results: no conflicts

I am logging this against the kernel package instead of kernel-debuginfo because I couldn't get bugzilla to accept the latter. Please feel free to reassign.

Comment 1 Przemek Klosowski 2017-01-19 02:35:16 UTC
As usual with this type of packaging error, deleting the old package 
kernel-debuginfo-4.9.2-200.fc25.x86_64
allows the update to proceed.

Comment 2 Przemek Klosowski 2017-01-27 00:26:04 UTC
Created attachment 1244900 [details]
Error message from update listing the file conflicts 4.9.{3,5}-200

Comment 3 Przemek Klosowski 2017-01-27 00:29:19 UTC
Another conflict between 4.9.3 and 4.9.5 in the preceding attachment, again resolved by manually removing the older kernel-debuginfo-4.9.3 and updating, which magically reinstalls kernel-debuginfo-4.9.5

Comment 4 Justin M. Forbes 2017-04-11 14:49:25 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 5 Justin M. Forbes 2017-04-28 17:07:29 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.